﻿namespace GridRowSelectorHeader
{
    using System;
    using System.Data;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinGrid;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.Dock = DockStyle.Fill;
            this.ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
            this.ultraGrid1.DataSource = this.InitializeGridDataSource(10);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.RowSelectorHeaderStyle = RowSelectorHeaderStyle.SeparateElement;
            e.Layout.Override.RowSelectorHeaderAppearance.ThemedElementAlpha = Infragistics.Win.Alpha.Transparent;
            e.Layout.Override.RowSelectorHeaderAppearance.ImageBackground = Properties.Resources.Infragistics;
        }

        private DataTable InitializeGridDataSource(int rows)
        {
            DataTable table = new DataTable("Table1");

            table.Columns.Add("Boolean column", typeof(Boolean));
            table.Columns.Add("Integer column", typeof(Int32));
            table.Columns.Add("DateTime column", typeof(DateTime));
            table.Columns.Add("String column", typeof(String));

            for (int i = 0; i < rows; i++)
            {
                DataRow row = table.NewRow();
                row["Boolean column"] = i % 2 == 0 ? true : false;
                row["Integer column"] = i;
                row["String column"] = "text1";
                row["DateTime column"] = DateTime.Now;
                table.Rows.Add(row);
            }

            return table;
        }
    }
}
